Bug 188556 - Lots of smbd processes
Lots of smbd processes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 01:48 EDT by john
Modified: 2008-05-06 11:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:46:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john 2006-04-11 01:48:38 EDT
Description of problem:
I get tons smbd processes that won't die.

Version-Release number of selected component (if applicable):
samba-3.0.22-1.fc5

How reproducible:
Any time something connects to my server. Even if I connect to it from my own
computer. The more files in the folder the more of them that spawn.

Steps to Reproduce:
Connect to the server.
  
Actual results:


Expected results:


Additional info:
other computer on network is running FC5 also. Other computer was running FC4 an
d connecting caused same problem.
Comment 1 Ryan Thomas 2006-06-08 16:46:45 EDT
I get the same problem on RHEL4.  The client tries an operation that times out
and another smbd spawns for the same service, user, and client.  The smbds can
be killed via "kill -9".
Comment 2 Ryan Thomas 2006-06-08 17:13:41 EDT
An additional note, when I connect an strace to a smbd process, I noted that the
strace always hangs on closing file descriptor #26.  


read(23, "\377SMB\4\0\0\0\0\30\7\310\0\0\0\0\0\0\0\0\0\0\0\0\1\0"..., 41) = 41
gettimeofday({1149801504, 414491}, NULL) = 0
fcntl64(12, F_SETLKW64, {type=F_WRLCK, whence=SEEK_SET, start=468, len=1},
0xbffb6f90) = 0
fcntl64(12, F_SETLK64, {type=F_WRLCK, whence=SEEK_SET, start=696, len=1},
0xbffb6e70) = 0
fcntl64(12, F_SETLK64, {type=F_UNLCK, whence=SEEK_SET, start=696, len=1},
0xbffb6e70) = 0
fcntl64(12, F_SETLKW64, {type=F_WRLCK, whence=SEEK_SET, start=164, len=1},
0xbffb6db0) = 0
fcntl64(12, F_SETLKW64, {type=F_UNLCK, whence=SEEK_SET, start=164, len=1},
0xbffb6db0) = 0
fcntl64(12, F_SETLKW64, {type=F_RDLCK, whence=SEEK_SET, start=668, len=1},
0xbffb6ab0) = 0
fcntl64(12, F_SETLKW64, {type=F_UNLCK, whence=SEEK_SET, start=668, len=1},
0xbffb6ab0) = 0
fcntl64(12, F_SETLKW64, {type=F_UNLCK, whence=SEEK_SET, start=468, len=1},
0xbffb6f90) = 0
close(26

And the /proc/<pid/fd directory does not list an entry for 26.

lrwx------  1 root root 64 Jun  8 17:20 0 -> /dev/null
lrwx------  1 root root 64 Jun  8 17:20 1 -> /dev/null
lrwx------  1 root root 64 Jun  8 17:20 10 -> /var/cache/samba/connections.tdb
lrwx------  1 root root 64 Jun  8 17:20 11 -> /var/cache/samba/brlock.tdb
lrwx------  1 root root 64 Jun  8 17:20 12 -> /var/cache/samba/locking.tdb
lrwx------  1 root root 64 Jun  8 17:20 13 -> /var/cache/samba/share_info.tdb
lrwx------  1 root root 64 Jun  8 17:20 14 -> /var/cache/samba/gencache.tdb
lrwx------  1 root root 64 Jun  8 17:20 15 -> /var/cache/samba/registry.tdb
lrwx------  1 root root 64 Jun  8 17:20 16 -> /var/cache/samba/ntdrivers.tdb
lrwx------  1 root root 64 Jun  8 17:20 17 -> /var/cache/samba/ntprinters.tdb
lrwx------  1 root root 64 Jun  8 17:20 18 -> /var/cache/samba/ntforms.tdb
l-wx------  1 root root 64 Jun  8 17:20 19 -> /var/log/samba/bn-rthomas1.log
l-wx------  1 root root 64 Jun  8 17:20 2 -> /var/log/samba/bn-rthomas1.log
lrwx------  1 root root 64 Jun  8 17:20 20 -> socket:[44467]
lr-x------  1 root root 64 Jun  8 17:20 21 -> pipe:[44293]
l-wx------  1 root root 64 Jun  8 17:20 22 -> pipe:[44293]
lrwx------  1 root root 64 Jun  8 17:20 23 -> socket:[44466]
lr-x------  1 root root 64 Jun  8 17:20 24 -> pipe:[44468]
l-wx------  1 root root 64 Jun  8 17:20 25 -> pipe:[44468]
lrwx------  1 root root 64 Jun  8 17:20 27 -> /var/cache/samba/netsamlogon_cache.tdb
lr-x------  1 root root 64 Jun  8 17:20 3 -> /dev/urandom
lrwx------  1 root root 64 Jun  8 17:20 4 -> /etc/samba/secrets.tdb
lrwx------  1 root root 64 Jun  8 17:20 5 -> /var/cache/samba/account_policy.tdb
lrwx------  1 root root 64 Jun  8 17:20 6 -> /var/cache/samba/group_mapping.tdb
l-wx------  1 root root 64 Jun  8 17:20 7 -> /var/run/smbd.pid
lrwx------  1 root root 64 Jun  8 17:20 8 -> /var/cache/samba/messages.tdb
lrwx------  1 root root 64 Jun  8 17:20 9 -> /var/cache/samba/sessionid.tdb
Comment 3 Marius ROMAN 2006-07-23 18:50:39 EDT
Same problem here with samba-3.0.23-1.fc5.

Here is a strace smbd -F :
accept(22, {sa_family=AF_INET, sin_port=htons(60883),
sin_addr=inet_addr("192.168.2.200")}, [16]) = 26
getpeername(26, {sa_family=AF_INET, sin_port=htons(60883),
sin_addr=inet_addr("192.168.2.200")}, [16]) = 0
fcntl64(26, F_GETFL) = 0x2 (flags O_RDWR)
fcntl64(26, F_SETFL, O_RDWR) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7f06ad8) = 11624
close(26) = 0
select(25, [22 23 24], NULL, NULL, NULL) = 1 (in [22])
time(NULL) = 1153510728
accept(22, {sa_family=AF_INET, sin_port=htons(60884),
sin_addr=inet_addr("192.168.2.200")}, [16]) = 26
getpeername(26, {sa_family=AF_INET, sin_port=htons(60884),
sin_addr=inet_addr("192.168.2.200")}, [16]) = 0
fcntl64(26, F_GETFL) = 0x2 (flags O_RDWR)
fcntl64(26, F_SETFL, O_RDWR) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7f06ad8) = 11625
close(26) = 0
select(25, [22 23 24], NULL, NULL, NULL) = 1 (in [22])
time(NULL) = 1153510729
accept(22, {sa_family=AF_INET, sin_port=htons(60885),
sin_addr=inet_addr("192.168.2.200")}, [16]) = 26
getpeername(26, {sa_family=AF_INET, sin_port=htons(60885),
sin_addr=inet_addr("192.168.2.200")}, [16]) = 0
fcntl64(26, F_GETFL) = 0x2 (flags O_RDWR)
fcntl64(26, F_SETFL, O_RDWR) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7f06ad8) = 11626
close(26) = 0
select(25, [22 23 24], NULL, NULL, NULL) = 1 (in [22])
time(NULL) = 1153510729
accept(22, {sa_family=AF_INET, sin_port=htons(60886),
sin_addr=inet_addr("192.168.2.200")}, [16]) = 26
getpeername(26, {sa_family=AF_INET, sin_port=htons(60886),
sin_addr=inet_addr("192.168.2.200")}, [16]) = 0
fcntl64(26, F_GETFL) = 0x2 (flags O_RDWR)
fcntl64(26, F_SETFL, O_RDWR) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7f06ad8) = 11627

strace nmbd -F :

t_sigprocmask(SIG_BLOCK, [TERM], NULL, 8) = 0
recvfrom(7, "6\372\1\20\0\1\0\0\0\0\0\0 FHEMFAFAEJFEEDEFEOF"..., 576, 0,
{sa_family=AF_INET, sin_port=htons(32789), sin_addr=inet_addr("192.168.2.200")},
[16]) = 50
time(NULL) = 1153511149
time(NULL) = 1153511149
sendto(7, "6\372\205\200\0\0\0\1\0\0\0\0 FHEMFAFAEJFEEDEFEOF"..., 62, 0,
{sa_family=AF_INET, sin_port=htons(32789), sin_addr=inet_addr("192.168.2.200")},
16) = 62
time(NULL) = 1153511149
rt_sigprocmask(SIG_UNBLOCK, [TERM], NULL, 8) = 0
select(18, [7 8 9 10 11 12 13 14 15 16 17], NULL, NULL, {10, 0}) = 1 (in [7],
left {9, 712000})
rt_sigprocmask(SIG_BLOCK, [TERM], NULL, 8) = 0
recvfrom(7, "S\36\1\20\0\1\0\0\0\0\0\0 FHEMFAFAEJFEEDEFEOF"..., 576, 0,
{sa_family=AF_INET, sin_port=htons(32789), sin_addr=inet_addr("192.168.2.200")},
[16]) = 50
time(NULL) = 1153511150
time(NULL) = 1153511150
sendto(7, "S\36\205\200\0\0\0\1\0\0\0\0 FHEMFAFAEJFEEDEFEOF"..., 62, 0,
{sa_family=AF_INET, sin_port=htons(32789), sin_addr=inet_addr("192.168.2.200")},
16) = 62
time(NULL) = 1153511150
rt_sigprocmask(SIG_UNBLOCK, [TERM], NULL, 8) = 0
select(18, [7 8 9 10 11 12 13 14 15 16 17], NULL, NULL, {10, 0}) = 1 (in [7],
left {9, 708000})
rt_sigprocmask(SIG_BLOCK, [TERM], NULL, 8) = 0
recvfrom(7, "\v\25\1\20\0\1\0\0\0\0\0\0 FHEMFAFAEJFEEDEFEOF"..., 576, 0,
{sa_family=AF_INET, sin_port=htons(32789), sin_addr=inet_addr("192.168.2.200")},
[16]) = 50
time(NULL) = 1153511150
time(NULL) = 1153511150
sendto(7, "\v\25\205\200\0\0\0\1\0\0\0\0 FHEMFAFAEJFEEDEFEOF"..., 62, 0,
{sa_family=AF_INET, sin_port=htons(32789), sin_addr=inet_addr("192.168.2.200")},
16) = 62
time(NULL) = 1153511150
rt_sigprocmask(SIG_UNBLOCK, [TERM], NULL, 8) = 0
Comment 4 Marius ROMAN 2006-07-23 18:54:33 EDT
I get a lot of open processes ONLY when I access a share with Nautilus.
When connecting with windows clients or smbclient the smbd seems to work just fine.
Comment 5 Bug Zapper 2008-04-03 22:37:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 11:46:56 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.